<Graph isModule="1" moduleName="Node_Vehicle_AttackHostile" Description="" Group="hc-modules" enabled="1" MultiPlayer="ClientServer">
  <ModuleInputsOutputs>
    <Port Name="ScanFrequency" Type="Float" Input="1" />
    <Port Name="TimeForSearching" Type="Float" Input="1" />
    <Port Name="ExtraLargeScanArea" Type="Float" Input="1" />
    <Port Name="DisengageAfterKill" Type="Bool" Input="1" />
  </ModuleInputsOutputs>
  <Nodes>
    <Node Id="1" Class="Module:Start_Node_Vehicle_AttackHostile" pos="-100,-510,0" flags="0" />
    <Node Id="2" Class="Module:End_Node_Vehicle_AttackHostile" pos="5570,1060,0" flags="1">
      <Inputs />
    </Node>
    <Node Id="4" Class="Module:Call_Node_Vehicle_IFCS_GoToPos" pos="5010,-1050,0" flags="0">
      <Inputs Instanced="1" InstanceID="-1" Pos="0,0,2000" />
    </Node>
    <Node Id="6" Class="Vehicle:DEBUG:IFCS:ManagedSession" pos="5730,-1210,0" flags="0">
      <Inputs entityId="0" Timer="0" FROM_ACTIONS="0" />
    </Node>
    <Node Id="21" Class="Vehicle:GetLinkedVehicle" pos="3580,-1010,0" flags="0">
      <Inputs entityId="0" />
    </Node>
    <Node Id="22" Class="Actor:LocalPlayer" pos="3400,-1000,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="23" Class="Entity:ValidEntityId" pos="3780,-1020,0" flags="0">
      <Inputs Entity="0" />
    </Node>
    <Node Id="25" Class="Entity:ValidEntityId" pos="4350,-1070,0" flags="0">
      <Inputs Entity="0" />
    </Node>
    <Node Id="48" Class="Actor:LocalPlayer" pos="4380,-1270,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="139" Class="Game:Headless:SearchForTarget" pos="4100,-1070,0" flags="0">
      <Inputs VehicleID="0" Range="30000" />
    </Node>
    <Node Id="302" Class="FeatureTest:SimulateInput" pos="1808.1772,-174.45703,0" flags="0">
      <Inputs ActionInput="v_target_cycle_friendly_fwd" Value="1" />
    </Node>
    <Node Id="303" Class="Actor:LocalPlayer" pos="1488.1772,-64.457031,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="305" Class="Logic:Any" pos="1270,-550,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="308" Class="FeatureTest:SimulateInput" pos="1838.1772,55.542969,0" flags="0">
      <Inputs ActionInput="v_target_cycle_hostile_fwd" Value="1" />
    </Node>
    <Node Id="309" Class="Actor:LocalPlayer" pos="1608.1772,85.542969,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="311" Class="Actor:LocalPlayer" pos="2378.1772,115.54297,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="312" Class="Time:Delay" pos="2890,-460,0" flags="0">
      <Inputs delay="2" resetOnInput="0" />
    </Node>
    <Node Id="313" Class="Time:Delay" pos="2178.1772,-144.45703,0" flags="0">
      <Inputs delay="1" resetOnInput="0" />
    </Node>
    <Node Id="314" Class="Time:Delay" pos="2168.1772,95.542969,0" flags="0">
      <Inputs delay="1" resetOnInput="0" />
    </Node>
    <Node Id="322" Class="Actor:LocalPlayer" pos="7200,-270,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="323" Class="Actor:LocalPlayer" pos="7210,-90,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="330" Class="Math:BooleanFrom" pos="6920,180,0" flags="0">
      <Inputs Value="0" />
    </Node>
    <Node Id="331" Class="Logic:Any" pos="5300,50,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="333" Name="Fire_when_aligned" Class="_commentbox" pos="5240,-499.44601,0" flags="0">
      <Inputs TextSize="1" Color="0.27451,0.352941,0.705882" DisplayFilled="1" DisplayBox="1" SortPriority="16" />
      <ResizeBorder X="0" Y="0" Width="2280" Height="710" />
      <NodeSize Width="2280" Height="756.22443" />
    </Node>
    <Node Id="334" Class="Logic:Any" pos="3160,-120,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="335" Class="Actor:LocalPlayer" pos="3580,-120,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="336" Class="Vehicle:GetLinkedVehicle" pos="3750,-130,0" flags="0">
      <Inputs entityId="0" />
    </Node>
    <Node Id="338" Class="Time:Delay" pos="4130,-230,0" flags="0">
      <Inputs delay="1" resetOnInput="0" />
    </Node>
    <Node Id="340" Class="Actor:LocalPlayer" pos="8860,-520,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="341" Class="Vehicle:GetLinkedVehicle" pos="9030,-620,0" flags="0">
      <Inputs entityId="0" />
    </Node>
    <Node Id="342" Class="Logic:Any" pos="8680,-670,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="343" Name="Get_Ammo_Percentage" Class="_commentbox" pos="8670,-759.44598,0" flags="0">
      <Inputs TextSize="1" Color="0.27451,0.352941,0.705882" DisplayFilled="1" DisplayBox="1" SortPriority="16" />
      <ResizeBorder X="0" Y="0" Width="1240" Height="340" />
      <NodeSize Width="1240" Height="386.22443" />
    </Node>
    <Node Id="344" Class="Math:Compare" pos="9760,-630,0" flags="0">
      <Inputs A="0" B="0.5" />
    </Node>
    <Node Id="345" Class="Time:FrameDelay" pos="9590,-530,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="346" Class="FeatureTest:SimulateInput" pos="10320,-630,0" flags="0">
      <Inputs ActionInput="v_attack1_group1" Value="1" />
    </Node>
    <Node Id="349" Class="Logic:Any" pos="10090,-640,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="353" Name="Fire_On" Class="_commentbox" pos="10050,-719.44598,0" flags="0">
      <Inputs TextSize="1" Color="0.27451,0.352941,0.705882" DisplayFilled="1" DisplayBox="1" SortPriority="16" />
      <ResizeBorder X="0" Y="0" Width="570" Height="290" />
      <NodeSize Width="570" Height="336.22443" />
    </Node>
    <Node Id="354" Class="FeatureTest:SimulateInput" pos="7950,-260,0" flags="0">
      <Inputs ActionInput="v_attack1_group1" Value="1" />
    </Node>
    <Node Id="355" Class="Logic:Any" pos="7720,-270,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="356" Name="Fire_Off" Class="_commentbox" pos="7680,-349.44589,0" flags="0">
      <Inputs TextSize="1" Color="0.27451,0.352941,0.705882" DisplayFilled="1" DisplayBox="1" SortPriority="16" />
      <ResizeBorder X="0" Y="0" Width="570" Height="300" />
      <NodeSize Width="570" Height="346.22443" />
    </Node>
    <Node Id="357" Name="Looking_for_target" Class="_commentbox" pos="1260,-613.03461,0" flags="0">
      <Inputs TextSize="1" Color="0.27451,0.352941,0.705882" DisplayFilled="1" DisplayBox="1" SortPriority="16" />
      <ResizeBorder X="0" Y="0" Width="2060" Height="740" />
      <NodeSize Width="2060" Height="786.22443" />
    </Node>
    <Node Id="358" Name="Chase_target" Class="_commentbox" pos="3420,-441.07135,0" flags="0">
      <Inputs TextSize="1" Color="0.27451,0.352941,0.705882" DisplayFilled="1" DisplayBox="1" SortPriority="16" />
      <ResizeBorder X="0" Y="0" Width="1430" Height="630" />
      <NodeSize Width="1430" Height="676.22443" />
    </Node>
    <Node Id="367" Class="Logic:Any" pos="6960,-90,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="372" Class="Math:Random" pos="7660,-1020,0" flags="0">
      <Inputs min="0" max="100" />
    </Node>
    <Node Id="373" Class="Math:Compare" pos="8070,-1070,0" flags="0">
      <Inputs A="0" B="90" />
    </Node>
    <Node Id="374" Class="Time:FrameDelay" pos="7880,-990,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="375" Class="FeatureTest:SimulateInput" pos="10190,-1150,0" flags="0">
      <Inputs ActionInput="v_weapon_launch_missile" Value="1" />
    </Node>
    <Node Id="376" Class="Actor:LocalPlayer" pos="8550,-1010,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="378" Class="Logic:Any" pos="8360,-1100,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="379" Class="Entity:ValidEntityId" pos="9290,-1020,0" flags="0">
      <Inputs Entity="0" />
    </Node>
    <Node Id="380" Class="FeatureTest:SimulateInput" pos="9540,-1040,0" flags="0">
      <Inputs ActionInput="v_weapon_arm_missile" Value="1" />
    </Node>
    <Node Id="381" Class="Time:Delay" pos="9910,-1040,0" flags="0">
      <Inputs delay="5" resetOnInput="0" />
    </Node>
    <Node Id="382" Name="Missle_lock_on_and_fire" Class="_commentbox" pos="8350,-1239.446,0" flags="0">
      <Inputs TextSize="1" Color="0.27451,0.352941,0.705882" DisplayFilled="1" DisplayBox="1" SortPriority="16" />
      <ResizeBorder X="0" Y="0" Width="2169" Height="290" />
      <NodeSize Width="2169" Height="336.22443" />
    </Node>
    <Node Id="384" Class="Logic:Gate" pos="8210,-1070,0" flags="0">
      <Inputs Closed="0" />
    </Node>
    <Node Id="385" Class="Logic:Any" pos="4370,-590,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="386" Class="Logic:Any" pos="4530,-590,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="388" Name="Stop" Class="_comment" pos="4380,-620,0" flags="0" />
    <Node Id="389" Name="Start" Class="_comment" pos="4540,-620,0" flags="0" />
    <Node Id="423" Class="Vehicle:DEBUG_HCShipCheckAmmo" pos="9270,-580,0" flags="0">
      <Inputs entityId="0" VehicleID="0" />
    </Node>
    <Node Id="426" Class="Vehicle:DEBUG_HCShipReturnSelectedTarget" pos="3740,-70,0" flags="0">
      <Inputs entityId="0" />
    </Node>
    <Node Id="427" Class="Vehicle:DEBUG_HCShipReturnSelectedTarget" pos="2538.1772,25.542969,0" flags="0">
      <Inputs entityId="0" />
    </Node>
    <Node Id="428" Class="Vehicle:DEBUG_HCShipReturnSelectedTarget" pos="2418.1772,-134.45703,0" flags="0">
      <Inputs entityId="0" />
    </Node>
    <Node Id="430" Class="Vehicle:DEBUG_HCShipReturnSelectedTarget" pos="8900,-1010,0" flags="0">
      <Inputs entityId="0" />
    </Node>
    <Node Id="456" Class="Vehicle:GetLinkedVehicle" pos="4560,-1290,0" flags="0">
      <Inputs entityId="0" />
    </Node>
    <Node Id="521" Class="Module:Call_Node_Vehicle_CombatPursuit" pos="4530,-200,0" flags="0">
      <Inputs Instanced="1" InstanceID="-1" Target="0" />
    </Node>
    <Node Id="528" Class="Logic:Any" pos="4360,-200,0" flags="0" InHideMask="1023" OutHideMask="1">
      <Inputs />
    </Node>
    <Node Id="552" Class="Logic:Gate" pos="4530,630,0" flags="0">
      <Inputs Closed="1" />
    </Node>
    <Node Id="554" Class="Logic:Gate" pos="3100,-930,0" flags="0">
      <Inputs Closed="0" />
    </Node>
    <Node Id="556" Name="FIND_SOMEONE_TO_FIGHT" Class="_comment" pos="4690,-1150,0" flags="0" />
    <Node Id="557" Class="Time:FrameDelay" pos="2910,-870,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="559" Class="Time:Delay" pos="4770,-1330,0" flags="0">
      <Inputs delay="1" resetOnInput="0" />
    </Node>
    <Node Id="561" Class="Time:FrameDelay" pos="4520,-1070,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="562" Class="Logic:Gate" pos="4040,-1240,0" flags="0">
      <Inputs Closed="0" />
    </Node>
    <Node Id="563" Class="Logic:Any" pos="3920,-1240,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="564" Class="Logic:Any" pos="3270,-1240,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="566" Class="Time:Delay" pos="3560,-1350,0" flags="0">
      <Inputs delay="1" resetOnInput="0" />
    </Node>
    <Node Id="567" Class="Logic:Any" pos="5590,-1020,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="568" Name="Stop" Class="_comment" pos="5600,-1050,0" flags="0" />
    <Node Id="571" Class="Math:BooleanTo" pos="6720,70,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="572" Class="Actor:LocalPlayer" pos="5740,50,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="573" Class="Vehicle:DEBUG_HCShipPIPpos" pos="6000,50,0" flags="0">
      <Inputs entityId="0" />
    </Node>
    <Node Id="574" Class="Time:FrameDelay" pos="5590,50,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="575" Class="Time:FrameDelay" pos="6020,160,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="576" Class="Time:FrameDelay" pos="6020,200,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="577" Class="Logic:Any" pos="4120,660,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="579" Name="EXTRA_LARGE_SCAN" Class="_commentbox" pos="2900,-1409.4462,0" flags="0">
      <Inputs TextSize="1" Color="0.27451,0.352941,0.705882" DisplayFilled="1" DisplayBox="1" SortPriority="16" />
      <ResizeBorder X="0" Y="0" Width="3170" Height="550" />
      <NodeSize Width="3170" Height="596.22443" />
    </Node>
    <Node Id="580" Class="Logic:Gate" pos="5440,60,0" flags="0">
      <Inputs Closed="1" />
    </Node>
    <Node Id="581" Class="Time:FrameDelay" pos="7370,-140,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="582" Class="Time:FrameDelay" pos="5290,-420,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="583" Class="Time:Delay" pos="5030,1080,0" flags="0">
      <Inputs delay="1" resetOnInput="0" />
    </Node>
    <Node Id="585" Class="Logic:Any" pos="5410,-1110,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="586" Class="Vehicle:DEBUG:IFCS:LinCoastSpeed" pos="5020,-910,0" flags="0">
      <Inputs LinCoastSpeed="600" Override="0" />
    </Node>
    <Node Id="587" Class="Module:Call_Node_Vehicle_IsLookingAt" pos="6250,-110,0" flags="0">
      <Inputs Instanced="1" InstanceID="-1" Player="0" Target="0,0,0" Leeway="0.01" />
    </Node>
    <Node Id="588" Class="Vehicle:GetLinkedVehicle" pos="5940,-60,0" flags="0">
      <Inputs entityId="0" />
    </Node>
    <Node Id="590" Class="Math:BooleanFrom" pos="6530,-50,0" flags="0">
      <Inputs Value="0" />
    </Node>
    <Node Id="591" Class="Logic:Any" pos="6590,90,0" flags="0" InHideMask="1023" OutHideMask="1">
      <Inputs />
    </Node>
    <Node Id="592" Class="Module:Call_Node_Vehicle_BoidCombatManeuvers" pos="4530,-40,0" flags="0">
      <Inputs Instanced="1" InstanceID="-1" StrafeDirection="1,0,1" SafeDistance="250" StrafeDistance="350" JoustDistance="300" />
    </Node>
    <Node Id="593" Class="SpaceTransformation:GetPositionInEntityZone" pos="4660,-1030,0" flags="0">
      <Inputs entityId="0" TargetEntity="0" />
    </Node>
    <Node Id="594" Class="Math:Random" pos="4180,-60,0" flags="0">
      <Inputs min="1" max="3" />
    </Node>
    <Node Id="595" Class="Vec3:ToVec3" pos="4380,-20,0" flags="0">
      <Inputs x="0" y="0" z="0" />
    </Node>
    <Node Id="597" Class="Math:Random" pos="4180,10,0" flags="0">
      <Inputs min="-1" max="1" />
    </Node>
    <Node Id="598" Class="Logic:Any" pos="5300,-50,0" flags="0" InHideMask="1023" OutHideMask="1">
      <Inputs />
    </Node>
    <Node Id="599" Class="Math:Random" pos="4180,100,0" flags="0">
      <Inputs min="150" max="350" />
    </Node>
    <Node Id="600" Class="Math:Random" pos="4180,180,0" flags="0">
      <Inputs min="500" max="900" />
    </Node>
    <Node Id="601" Class="Math:Random" pos="4180,260,0" flags="0">
      <Inputs min="350" max="700" />
    </Node>
    <Node Id="602" Class="Time:FrameDelay" pos="4390,-60,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="603" Class="Logic:CooldownGate" pos="7500,-1020,0" flags="0">
      <Inputs Duration="2" Closed="0" />
    </Node>
    <Node Id="604" Name="This_will_first_check_the_ship_scanner_and_\n_if_it_doesn't_find_anything_it_will_scan_in_a_bigger_range_\n_using_a_sphere_cast_to_find_any_ship_and_head_towards_it" Class="_comment" pos="-170,-370,0" flags="0" />
    <Node Id="605" Class="Logic:AND" pos="4230,590,0" flags="0">
      <Inputs A="0" B="1" Always="1" />
    </Node>
    <Node Id="606" Class="Logic:Gate" pos="4380,660,0" flags="0">
      <Inputs Closed="1" />
    </Node>
    <Node Id="607" Class="Logic:Any" pos="4850,1030,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="608" Class="FeatureTest:SimulateInput" pos="10320,-520,0" flags="0">
      <Inputs ActionInput="v_attack1_group2" Value="1" />
    </Node>
    <Node Id="610" Class="FeatureTest:SimulateInput" pos="7950,-150,0" flags="0">
      <Inputs ActionInput="v_attack1_group2" Value="1" />
    </Node>
    <Node Id="611" Class="Vehicle:DEBUG_HCShipHasLaserWeapon" pos="8290,-530,0" flags="0">
      <Inputs entityId="0" Vehicle="0" />
    </Node>
    <Node Id="612" Class="Logic:Any" pos="7690,-700,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="613" Class="Actor:LocalPlayer" pos="7870,-480,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="614" Class="Vehicle:GetLinkedVehicle" pos="8040,-580,0" flags="0">
      <Inputs entityId="0" />
    </Node>
    <Node Id="615" Name="Laser_Weapon_Check" Class="_commentbox" pos="7680,-759.44598,0" flags="0">
      <Inputs TextSize="1" Color="0.27451,0.352941,0.705882" DisplayFilled="1" DisplayBox="1" SortPriority="16" />
      <ResizeBorder X="0" Y="0" Width="892" Height="276" />
      <NodeSize Width="892" Height="322.22443" />
    </Node>
    <Node Id="618" Class="Time:TimedCounter" pos="3430,270,0" flags="0">
      <Inputs period="1" limit="0" />
    </Node>
    <Node Id="619" Class="Logic:Gate" pos="3230,220,0" flags="0">
      <Inputs Closed="0" />
    </Node>
    <Node Id="620" Class="Time:FrameDelay" pos="3050,270,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="621" Class="Time:Delay" pos="5250,1080,0" flags="0">
      <Inputs delay="1" resetOnInput="0" />
    </Node>
  </Nodes>
  <Edges>
    <Edge nodeIn="139" nodeOut="1" portIn="Range" portOut="ExtraLargeScanArea" enabled="1" />
    <Edge nodeIn="305" nodeOut="1" portIn="in1" portOut="Start" enabled="1" />
    <Edge nodeIn="312" nodeOut="1" portIn="delay" portOut="ScanFrequency" enabled="1" />
    <Edge nodeIn="605" nodeOut="1" portIn="A" portOut="DisengageAfterKill" enabled="1" />
    <Edge nodeIn="607" nodeOut="1" portIn="in10" portOut="Cancel" enabled="1" />
    <Edge nodeIn="618" nodeOut="1" portIn="limit" portOut="TimeForSearching" enabled="1" />
    <Edge nodeIn="585" nodeOut="4" portIn="in2" portOut="TO_IFCS_SESSION" enabled="1" />
    <Edge nodeIn="23" nodeOut="21" portIn="Check" portOut="Vehicle Id" enabled="1" />
    <Edge nodeIn="23" nodeOut="21" portIn="Entity" portOut="Vehicle Id" enabled="1" />
    <Edge nodeIn="593" nodeOut="21" portIn="entityId" portOut="Vehicle Id" enabled="1" />
    <Edge nodeIn="21" nodeOut="22" portIn="Trigger" portOut="entityId" enabled="1" />
    <Edge nodeIn="21" nodeOut="22" portIn="entityId" portOut="entityId" enabled="1" />
    <Edge nodeIn="139" nodeOut="23" portIn="VehicleID" portOut="isValid" enabled="1" />
    <Edge nodeIn="563" nodeOut="23" portIn="in10" portOut="isValid" enabled="1" />
    <Edge nodeIn="561" nodeOut="25" portIn="in" portOut="isValid" enabled="1" />
    <Edge nodeIn="593" nodeOut="25" portIn="TargetEntity" portOut="isValid" enabled="1" />
    <Edge nodeIn="456" nodeOut="48" portIn="Trigger" portOut="entityId" enabled="1" />
    <Edge nodeIn="456" nodeOut="48" portIn="entityId" portOut="entityId" enabled="1" />
    <Edge nodeIn="25" nodeOut="139" portIn="Check" portOut="OnResult" enabled="1" />
    <Edge nodeIn="25" nodeOut="139" portIn="Entity" portOut="OnResult" enabled="1" />
    <Edge nodeIn="48" nodeOut="139" portIn="update" portOut="OnResult" enabled="1" />
    <Edge nodeIn="562" nodeOut="139" portIn="Close" portOut="OnResult" enabled="1" />
    <Edge nodeIn="313" nodeOut="302" portIn="in" portOut="Pressed" enabled="1" />
    <Edge nodeIn="302" nodeOut="303" portIn="Press" portOut="entityId" enabled="1" />
    <Edge nodeIn="428" nodeOut="303" portIn="entityId" portOut="entityId" enabled="1" />
    <Edge nodeIn="303" nodeOut="305" portIn="update" portOut="out" enabled="1" />
    <Edge nodeIn="552" nodeOut="305" portIn="In" portOut="out" enabled="1" />
    <Edge nodeIn="314" nodeOut="308" portIn="in" portOut="Pressed" enabled="1" />
    <Edge nodeIn="308" nodeOut="309" portIn="Press" portOut="entityId" enabled="1" />
    <Edge nodeIn="427" nodeOut="309" portIn="entityId" portOut="entityId" enabled="1" />
    <Edge nodeIn="427" nodeOut="311" portIn="OnStart" portOut="entityId" enabled="1" />
    <Edge nodeIn="305" nodeOut="312" portIn="in4" portOut="out" enabled="1" />
    <Edge nodeIn="554" nodeOut="312" portIn="In" portOut="out" enabled="1" />
    <Edge nodeIn="557" nodeOut="312" portIn="in" portOut="out" enabled="1" />
    <Edge nodeIn="619" nodeOut="312" portIn="In" portOut="out" enabled="1" />
    <Edge nodeIn="620" nodeOut="312" portIn="in" portOut="out" enabled="1" />
    <Edge nodeIn="428" nodeOut="313" portIn="OnStart" portOut="out" enabled="1" />
    <Edge nodeIn="311" nodeOut="314" portIn="update" portOut="out" enabled="1" />
    <Edge nodeIn="603" nodeOut="322" portIn="In" portOut="entityId" enabled="1" />
    <Edge nodeIn="612" nodeOut="322" portIn="in1" portOut="entityId" enabled="1" />
    <Edge nodeIn="581" nodeOut="323" portIn="in" portOut="entityId" enabled="1" />
    <Edge nodeIn="322" nodeOut="330" portIn="update" portOut="True" enabled="1" />
    <Edge nodeIn="367" nodeOut="330" portIn="in10" portOut="False" enabled="1" />
    <Edge nodeIn="575" nodeOut="330" portIn="in" portOut="False" enabled="1" />
    <Edge nodeIn="576" nodeOut="330" portIn="in" portOut="True" enabled="1" />
    <Edge nodeIn="580" nodeOut="331" portIn="In" portOut="out" enabled="1" />
    <Edge nodeIn="335" nodeOut="334" portIn="update" portOut="out" enabled="1" />
    <Edge nodeIn="567" nodeOut="334" portIn="in10" portOut="out" enabled="1" />
    <Edge nodeIn="618" nodeOut="334" portIn="stop" portOut="out" enabled="1" />
    <Edge nodeIn="619" nodeOut="334" portIn="Open" portOut="out" enabled="1" />
    <Edge nodeIn="336" nodeOut="335" portIn="Trigger" portOut="entityId" enabled="1" />
    <Edge nodeIn="336" nodeOut="335" portIn="entityId" portOut="entityId" enabled="1" />
    <Edge nodeIn="426" nodeOut="335" portIn="OnStart" portOut="entityId" enabled="1" />
    <Edge nodeIn="426" nodeOut="335" portIn="entityId" portOut="entityId" enabled="1" />
    <Edge nodeIn="338" nodeOut="336" portIn="in" portOut="Vehicle Id" enabled="1" />
    <Edge nodeIn="386" nodeOut="338" portIn="in10" portOut="out" enabled="1" />
    <Edge nodeIn="341" nodeOut="340" portIn="Trigger" portOut="entityId" enabled="1" />
    <Edge nodeIn="341" nodeOut="340" portIn="entityId" portOut="entityId" enabled="1" />
    <Edge nodeIn="423" nodeOut="340" portIn="entityId" portOut="entityId" enabled="1" />
    <Edge nodeIn="423" nodeOut="341" portIn="OnStart" portOut="Vehicle Id" enabled="1" />
    <Edge nodeIn="423" nodeOut="341" portIn="VehicleID" portOut="Vehicle Id" enabled="1" />
    <Edge nodeIn="340" nodeOut="342" portIn="update" portOut="out" enabled="1" />
    <Edge nodeIn="349" nodeOut="344" portIn="in1" portOut="true" enabled="1" />
    <Edge nodeIn="344" nodeOut="345" portIn="A&gt;B" portOut="out" enabled="1" />
    <Edge nodeIn="346" nodeOut="349" portIn="Hold" portOut="out" enabled="1" />
    <Edge nodeIn="346" nodeOut="349" portIn="Press" portOut="out" enabled="1" />
    <Edge nodeIn="608" nodeOut="349" portIn="Hold" portOut="out" enabled="1" />
    <Edge nodeIn="608" nodeOut="349" portIn="Press" portOut="out" enabled="1" />
    <Edge nodeIn="354" nodeOut="355" portIn="Release" portOut="out" enabled="1" />
    <Edge nodeIn="610" nodeOut="355" portIn="Release" portOut="out" enabled="1" />
    <Edge nodeIn="323" nodeOut="367" portIn="update" portOut="out" enabled="1" />
    <Edge nodeIn="373" nodeOut="372" portIn="A" portOut="out" enabled="1" />
    <Edge nodeIn="374" nodeOut="372" portIn="in" portOut="out" enabled="1" />
    <Edge nodeIn="384" nodeOut="373" portIn="In" portOut="true" enabled="1" />
    <Edge nodeIn="373" nodeOut="374" portIn="A&gt;B" portOut="out" enabled="1" />
    <Edge nodeIn="384" nodeOut="375" portIn="Open" portOut="Pressed" enabled="1" />
    <Edge nodeIn="430" nodeOut="376" portIn="OnStart" portOut="entityId" enabled="1" />
    <Edge nodeIn="430" nodeOut="376" portIn="entityId" portOut="entityId" enabled="1" />
    <Edge nodeIn="376" nodeOut="378" portIn="update" portOut="out" enabled="1" />
    <Edge nodeIn="384" nodeOut="378" portIn="Close" portOut="out" enabled="1" />
    <Edge nodeIn="380" nodeOut="379" portIn="Press" portOut="isValid" enabled="1" />
    <Edge nodeIn="381" nodeOut="380" portIn="in" portOut="Pressed" enabled="1" />
    <Edge nodeIn="375" nodeOut="381" portIn="Press" portOut="out" enabled="1" />
    <Edge nodeIn="378" nodeOut="384" portIn="in1" portOut="Out" enabled="1" />
    <Edge nodeIn="305" nodeOut="385" portIn="in2" portOut="out" enabled="1" />
    <Edge nodeIn="577" nodeOut="385" portIn="in2" portOut="out" enabled="1" />
    <Edge nodeIn="580" nodeOut="385" portIn="Close" portOut="out" enabled="1" />
    <Edge nodeIn="582" nodeOut="385" portIn="in" portOut="out" enabled="1" />
    <Edge nodeIn="521" nodeOut="386" portIn="StartIFCS" portOut="out" enabled="1" />
    <Edge nodeIn="528" nodeOut="386" portIn="in1" portOut="out" enabled="1" />
    <Edge nodeIn="344" nodeOut="423" portIn="A" portOut="PercentageAmmo" enabled="1" />
    <Edge nodeIn="345" nodeOut="423" portIn="in" portOut="PercentageAmmo" enabled="1" />
    <Edge nodeIn="521" nodeOut="426" portIn="Target" portOut="Target" enabled="1" />
    <Edge nodeIn="312" nodeOut="427" portIn="in" portOut="NoTarget" enabled="1" />
    <Edge nodeIn="334" nodeOut="427" portIn="in2" portOut="Target" enabled="1" />
    <Edge nodeIn="309" nodeOut="428" portIn="update" portOut="NoTarget" enabled="1" />
    <Edge nodeIn="334" nodeOut="428" portIn="in1" portOut="Target" enabled="1" />
    <Edge nodeIn="379" nodeOut="430" portIn="Check" portOut="Target" enabled="1" />
    <Edge nodeIn="379" nodeOut="430" portIn="Entity" portOut="Target" enabled="1" />
    <Edge nodeIn="6" nodeOut="456" portIn="entityId" portOut="Vehicle Id" enabled="1" />
    <Edge nodeIn="559" nodeOut="456" portIn="in" portOut="Vehicle Id" enabled="1" />
    <Edge nodeIn="331" nodeOut="521" portIn="in1" portOut="OnCalled" enabled="1" />
    <Edge nodeIn="385" nodeOut="521" portIn="in10" portOut="TargetLost" enabled="1" />
    <Edge nodeIn="598" nodeOut="521" portIn="in1" portOut="OnCalled" enabled="1" />
    <Edge nodeIn="594" nodeOut="528" portIn="generate" portOut="out" enabled="1" />
    <Edge nodeIn="597" nodeOut="528" portIn="generate" portOut="out" enabled="1" />
    <Edge nodeIn="599" nodeOut="528" portIn="generate" portOut="out" enabled="1" />
    <Edge nodeIn="600" nodeOut="528" portIn="generate" portOut="out" enabled="1" />
    <Edge nodeIn="601" nodeOut="528" portIn="generate" portOut="out" enabled="1" />
    <Edge nodeIn="602" nodeOut="528" portIn="in" portOut="out" enabled="1" />
    <Edge nodeIn="607" nodeOut="552" portIn="in1" portOut="Out" enabled="1" />
    <Edge nodeIn="564" nodeOut="554" portIn="in10" portOut="Out" enabled="1" />
    <Edge nodeIn="554" nodeOut="557" portIn="Close" portOut="out" enabled="1" />
    <Edge nodeIn="6" nodeOut="559" portIn="OnStart" portOut="out" enabled="1" />
    <Edge nodeIn="593" nodeOut="561" portIn="OnStart" portOut="out" enabled="1" />
    <Edge nodeIn="139" nodeOut="562" portIn="OnStart" portOut="Out" enabled="1" />
    <Edge nodeIn="566" nodeOut="562" portIn="in" portOut="Out" enabled="1" />
    <Edge nodeIn="562" nodeOut="563" portIn="In" portOut="out" enabled="1" />
    <Edge nodeIn="22" nodeOut="564" portIn="update" portOut="out" enabled="1" />
    <Edge nodeIn="564" nodeOut="566" portIn="in2" portOut="out" enabled="1" />
    <Edge nodeIn="6" nodeOut="567" portIn="OnCancel" portOut="out" enabled="1" />
    <Edge nodeIn="330" nodeOut="571" portIn="Value" portOut="out" enabled="1" />
    <Edge nodeIn="573" nodeOut="572" portIn="OnStart" portOut="entityId" enabled="1" />
    <Edge nodeIn="573" nodeOut="572" portIn="entityId" portOut="entityId" enabled="1" />
    <Edge nodeIn="588" nodeOut="572" portIn="Trigger" portOut="entityId" enabled="1" />
    <Edge nodeIn="588" nodeOut="572" portIn="entityId" portOut="entityId" enabled="1" />
    <Edge nodeIn="587" nodeOut="573" portIn="Call" portOut="PIP_pos" enabled="1" />
    <Edge nodeIn="587" nodeOut="573" portIn="Target" portOut="PIP_pos" enabled="1" />
    <Edge nodeIn="591" nodeOut="573" portIn="in2" portOut="NotValidPIP" enabled="1" />
    <Edge nodeIn="572" nodeOut="574" portIn="update" portOut="out" enabled="1" />
    <Edge nodeIn="331" nodeOut="575" portIn="in10" portOut="out" enabled="1" />
    <Edge nodeIn="331" nodeOut="576" portIn="in9" portOut="out" enabled="1" />
    <Edge nodeIn="606" nodeOut="577" portIn="In" portOut="out" enabled="1" />
    <Edge nodeIn="574" nodeOut="580" portIn="in" portOut="Out" enabled="1" />
    <Edge nodeIn="355" nodeOut="581" portIn="in1" portOut="out" enabled="1" />
    <Edge nodeIn="367" nodeOut="582" portIn="in1" portOut="out" enabled="1" />
    <Edge nodeIn="367" nodeOut="583" portIn="in3" portOut="out" enabled="1" />
    <Edge nodeIn="621" nodeOut="583" portIn="in" portOut="out" enabled="1" />
    <Edge nodeIn="6" nodeOut="585" portIn="FROM_ACTIONS" portOut="out" enabled="1" />
    <Edge nodeIn="585" nodeOut="586" portIn="in3" portOut="TO_IFCS_SESSION" enabled="1" />
    <Edge nodeIn="590" nodeOut="587" portIn="Value" portOut="OnTarget" enabled="1" />
    <Edge nodeIn="587" nodeOut="588" portIn="Player" portOut="Vehicle Id" enabled="1" />
    <Edge nodeIn="571" nodeOut="590" portIn="true" portOut="True" enabled="1" />
    <Edge nodeIn="591" nodeOut="590" portIn="in1" portOut="False" enabled="1" />
    <Edge nodeIn="571" nodeOut="591" portIn="false" portOut="out" enabled="1" />
    <Edge nodeIn="331" nodeOut="592" portIn="in2" portOut="OnCalled" enabled="1" />
    <Edge nodeIn="385" nodeOut="592" portIn="in9" portOut="TargetLost" enabled="1" />
    <Edge nodeIn="598" nodeOut="592" portIn="in2" portOut="OnCalled" enabled="1" />
    <Edge nodeIn="4" nodeOut="593" portIn="Call" portOut="VectorInEntitySpace" enabled="1" />
    <Edge nodeIn="4" nodeOut="593" portIn="Pos" portOut="VectorInEntitySpace" enabled="1" />
    <Edge nodeIn="586" nodeOut="593" portIn="Activate" portOut="VectorInEntitySpace" enabled="1" />
    <Edge nodeIn="595" nodeOut="594" portIn="x" portOut="outRounded" enabled="1" />
    <Edge nodeIn="592" nodeOut="595" portIn="StrafeDirection" portOut="vec3" enabled="1" />
    <Edge nodeIn="595" nodeOut="597" portIn="z" portOut="outRounded" enabled="1" />
    <Edge nodeIn="580" nodeOut="598" portIn="Open" portOut="out" enabled="1" />
    <Edge nodeIn="592" nodeOut="599" portIn="SafeDistance" portOut="outRounded" enabled="1" />
    <Edge nodeIn="592" nodeOut="600" portIn="StrafeDistance" portOut="outRounded" enabled="1" />
    <Edge nodeIn="592" nodeOut="601" portIn="JoustDistance" portOut="outRounded" enabled="1" />
    <Edge nodeIn="592" nodeOut="602" portIn="Call" portOut="out" enabled="1" />
    <Edge nodeIn="372" nodeOut="603" portIn="generate" portOut="Out" enabled="1" />
    <Edge nodeIn="606" nodeOut="605" portIn="Open" portOut="true" enabled="1" />
    <Edge nodeIn="552" nodeOut="606" portIn="Open" portOut="Out" enabled="1" />
    <Edge nodeIn="367" nodeOut="607" portIn="in2" portOut="out" enabled="1" />
    <Edge nodeIn="583" nodeOut="607" portIn="in" portOut="out" enabled="1" />
    <Edge nodeIn="342" nodeOut="611" portIn="in2" portOut="NoLaser" enabled="1" />
    <Edge nodeIn="349" nodeOut="611" portIn="in2" portOut="OnLaserWeaponFound" enabled="1" />
    <Edge nodeIn="613" nodeOut="612" portIn="update" portOut="out" enabled="1" />
    <Edge nodeIn="611" nodeOut="613" portIn="entityId" portOut="entityId" enabled="1" />
    <Edge nodeIn="614" nodeOut="613" portIn="Trigger" portOut="entityId" enabled="1" />
    <Edge nodeIn="614" nodeOut="613" portIn="entityId" portOut="entityId" enabled="1" />
    <Edge nodeIn="611" nodeOut="614" portIn="OnStart" portOut="Vehicle Id" enabled="1" />
    <Edge nodeIn="611" nodeOut="614" portIn="Vehicle" portOut="Vehicle Id" enabled="1" />
    <Edge nodeIn="607" nodeOut="618" portIn="in9" portOut="finished" enabled="1" />
    <Edge nodeIn="618" nodeOut="619" portIn="start" portOut="Out" enabled="1" />
    <Edge nodeIn="619" nodeOut="620" portIn="Close" portOut="out" enabled="1" />
    <Edge nodeIn="2" nodeOut="621" portIn="Success" portOut="out" enabled="1" />
  </Edges>
  <GraphTokens />
</Graph>